[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'Crt' (#rtl)

# AssignCrt

Assign file to CRT.

## Declaration

Source position: crth.inc line 74

`procedure AssignCrt(`
`var F: Text`
`);`

## Description

AssignCrt Assigns a file F to the console. Everything written to the file F goes to the console instead. If the console contains a window, everything is written to the window instead.

## Errors

None.

## See also

Window |  | Create new window on screen.

## Example

    Program Example1;
    uses Crt;

    { Program to demonstrate the AssignCrt function. }

    var
      F : Text;
    begin
      AssignCrt(F);
      Rewrite(F); { Don't forget to open for output! }
      WriteLn(F,'This is written to the Assigned File');
      Close(F);
    end.